// custom-select-react.d.ts
declare module 'custom-select-react' {
    interface CustomSelectProps {
      items: string[];
      maxVisibleItems?: number;
      onSelectionChange?: any;
      isMulti?: boolean;
      customClassNames?: {
        container?: string;
        button?: string;
        placeholder?: string;
        selectedItems?: string;
        selectedItem?: string;
        closeIcon?: string;
        itemCount?: string;
        caret?: string;
        caretOpen?: string;
        dropdownList?: string;
        searchBar?: string;
        searchInput?: string;
        dropdownItem?: string;
        label?: string;
        singleSelectItem?: string;
      };
      selectAllText?: string;
      placeholderText?: string;
      searchPlaceholderText?: string;
    }
  
    const MultiSelectDropdown: React.FC<CustomSelectProps>;
    export default MultiSelectDropdown;
  }
  